%define name perl-Mail-Sender
%define realname Mail-Sender
%define version 0.7.04
%define release 2mdk

Name:		%{name}
Summary:	Mail-Sender module for perl (Mail_and_Usenet_News/Mail)
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Development/Perl
URL:		http://www.cpan.org
Source:		%{realname}-%{version}.tar.bz2
Buildroot:	/var/tmp/%{name}-buildroot
Packager:	Vincent Danen <vdanen@linux-mandrake.com>


%description
Mail-Sender is a Perl module for sending mail with attachments through an
SMTP server.  This module will not work with qmail servers, however.


%prep -q
%setup -n %{realname}-%{version}

%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%install
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/%{realname}-%{version}


%files
%defattr(-,root,root)
%{_prefix}/lib/perl5/site_perl/5.6.0/%{_arch}-linux/auto/Mail/Sender/.packlist
%{_prefix}/lib/perl5/site_perl/5.6.0/Mail/Sender.pm
%{_prefix}/lib/perl5/man/man3/Mail::Sender.3*


%changelog
* Fri May 5 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.7.04-2mdk
- fix group

* Wed Mar 8 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.7.04

* Tue Mar 7 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
